#ifndef _INA219
#define _INA219

#include <forte_sensor.hpp>
#include <pinout.hpp>
#include <INA219_WE.h>
#include <Wire.h>

//TwoWire I2Cone = TwoWire(0);
//TwoWire I2Ctwo = TwoWire(1);
     
struct out_data_ina219 {
        float shuntVoltage_mV = 0.0;
        float loadVoltage_V = 0.0;
        float busVoltage_V = 0.0;
        float current_mA = 0.0;
        float power_mW = 0.0; 
        bool ina219_overflow = false;  
    };


class Forte_INA219 : public Forte_Sensor{
    public:
        void setup();
        out_data_ina219* read_data();
 
    private:
        INA219_WE ina219;
        out_data_ina219 data; 
};

#endif