#ifndef _DRS26
#define _DRS26

#include "Message.hpp"
#include "Wire.h"
#include "forte_sensor.hpp"
#include "pinout.hpp"
#include <SDI12.h>

struct out_data_drs26 {
	int id;
	float circumference;
	float temperatur;
};

class Forte_DRS26 : public Forte_Sensor<out_data_drs26> {
  public:
	void setup();
	out_data_drs26 read_data();
	Message build_message();

  private:
	SDI12 drs26;
	out_data_drs26 data;
};

#endif