#include "scd30.hpp"

void Forte_SCD30 ::setup()
{
	Wire.begin(I2C_SDA, I2C_SCL);
	if (!airSensor.begin()) {
		// Sensor init went wrong
		return;
	}
}

out_data_scd30 Forte_SCD30 ::read_data()
{
	if (airSensor.dataAvailable()) {
		data.C02 = airSensor.getCO2();
		data.Temperature = airSensor.getTemperature();
		data.Humidity = airSensor.getHumidity();

		return data;
	}
	throw NoDataAvailableException();
	// return out_data_scd30{-1, -1, -1};
}

Message Forte_SCD30::build_message()
{
	throw "Not yet implemented";
}