#include "TestMessage.hpp"

void test_on_data_recv()
{
	Message message = Message{};

	TEST_ASSERT_EQUAL(0, message.getData().amountData);
}

void test_new_message_filled()
{
	Message message = Message{};

	message.add_data(1.1, 0);
	message.add_data(1.2, 1);
	message.add_data(1.3, 2);

	float expectedValuesArray[] = {1.1, 1.2, 1.3};
	int expectedIdentifiersArray[] = {0, 1, 2};

	TEST_ASSERT_EQUAL(3, message.getData().amountData);
	TEST_ASSERT_EQUAL_FLOAT_ARRAY(expectedValuesArray, message.getData().values, 3);
	TEST_ASSERT_EQUAL_INT_ARRAY(expectedIdentifiersArray, message.getData().identifiers, 3);
}