#include "ina219.hpp"


void Forte_INA219 :: setup(){
    Wire.begin(I2C_SDA, I2C_SCL);
     if(!ina219.init()){
        // Sensor init went wrong
        return;
    } 
}

out_data_ina219* Forte_INA219  :: read_data(){
    if(!ina219.getOverflow())
    {
        data.shuntVoltage_mV = ina219.getShuntVoltage_mV();
        data.busVoltage_V= ina219.getBusVoltage_V();
        data.current_mA= ina219.getCurrent_mA();
        data.power_mW= ina219.getBusPower();
        data.loadVoltage_V = data.busVoltage_V + (data.shuntVoltage_mV/1000);
        data.ina219_overflow=ina219.getOverflow();
        Serial.println("data avalable");
        return &data;
    }
    else
        throw std::invalid_argument("AddPositiveIntegers arguments must be positive");;
}