#ifndef _SCD30
#define _SCD30

#include <forte_sensor.hpp>
#include <Wire.h>
#include <pinout.hpp>
#include <SparkFun_SCD30_Arduino_Library.h>

struct out_data_scd30
{
    float C02;
    float Temperature;
    float Humidity;
};


class Forte_SCD30 : public Forte_Sensor{
    public:
        void setup();
        out_data_scd30* read_data();

    private:
        SCD30 airSensor;
        out_data_scd30 data;
};

#endif