#include "TestESPNow.hpp"
#include <Arduino.h>
#include <unity.h>
#include "TestClientDataPackage.hpp"

void setup()
{
	delay(2000); // service delay

	UNITY_BEGIN();
	RUN_TEST(test_on_data_recv_valid_config);
	RUN_TEST(test_export_to_json);
	RUN_TEST(test_export_to_json_no_analog);
	RUN_TEST(test_export_to_json_no_channel_no_address);
	UNITY_END();
}

void loop() {}