#ifndef _DRS26
#define _DRS26

#include <forte_sensor.hpp>
#include <SDI12.h>
#include <pinout.hpp>
#include "Wire.h"

     
struct out_data_drs26 {
        int id;
        float circumference;
        float temperatur;
    };


class Forte_DRS26 : public Forte_Sensor{
    public:
        void setup();
        out_data_drs26* read_data();
 
    private:
        SDI12 drs26;
        out_data_drs26 data; 
};

#endif