
#include <Arduino.h>
#include <ina219.hpp>

Forte_INA219 sensor1;

void setup() {
  Serial.begin(9600);
  sensor1.setup();
}

void loop() {
  
  out_data_ina219* data;
  data = sensor1.read_data();

  if(data==0)
  {
  Serial.println("Waiting for data!");
  Serial.println();
  }
  else{
        Serial.print("Shunt Voltage [mV]: "); Serial.println(data->shuntVoltage_mV);
        Serial.print("Bus Voltage [V]: "); Serial.println(data->busVoltage_V);
        Serial.print("Load Voltage [V]: "); Serial.println(data->loadVoltage_V);
        Serial.print("Current[mA]: "); Serial.println(data->current_mA);
        Serial.print("Bus Power [mW]: "); Serial.println(data->power_mW);
        data->ina219_overflow== false ? Serial.println("Values OK - no overflow") : Serial.println("Overflow! Choose higher PGAIN");
        Serial.println();
    }
  delay(5000);
}
