#ifndef _INA219
#define _INA219

#include <forte_sensor.hpp>
#include <SDI12.h>
#include <pinout.hpp>
#include "Wire.h"

     
struct out_data {
        int id;
        float circumference;
        float temperatur;
    };


class Forte_DRS26 : public Forte_Sensor{
    public:
        void setup();
        out_data* read_data();
 
    private:
        SDI12 drs26;
        out_data data; 
};

#endif