#include "Arduino.h"
#include "rs485.hpp"
#include "ESPNow.hpp"

Forte_RS485 rs485;
void setup(){
    rs485.setup();
    espnow_setup();
}

void loop()
{
  out_data_rs485 data_rs485= rs485.read_data();
  Serial.println("***********************************************************");
  Serial.print("Moisture: ");
  Serial.println(data_rs485.moisture);
  Serial.print("Moisture Temperature: ");
  Serial.println(data_rs485.moisture_temperature);
  Serial.print("Solar: ");
  Serial.println(data_rs485.solarRadiation);
  Serial.print("Rain mm: ");
  Serial.println(data_rs485.precipitation);

    //send the data
    //moistere 1
    //moisture_temperature 2
    //solarRadiation 3
    //precipitation 4

   Message new_data = Message{};
   new_data.add_data(data_rs485.moisture,1);
   new_data.add_data(data_rs485.moisture_temperature, 2);
   new_data.add_data(data_rs485.solarRadiation,3);
   new_data.add_data(data_rs485.precipitation,4);
   espnow_send_message(new_data);
  

  delay(5000);

}
